@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

.y-table {
  border-collapse: collapse;
  border: 0;
 
  th, td, thead, tbody {
	margin: 0;
	padding: 0;
	border-spacing: 0;
	border-collapse: collapse;
  }

  .y-tableheader {
	position: absolute;
	z-index: 1000;
	background-color: $grey__light--1400;
  }

  .y-tablerow-collapsed {
	display: none;
	opacity: 0;
	transition: display 0s 0.5s, height 0.5s;

	&.y-tablerow-header {
	  display: table-row-group;
	  opacity: 1;
	  height: auto;
	}
  }

  .y-tablecell, 
  .y-tablecell-header {
	vertical-align: top;
	border: none;
	position: relative;
	z-index: 0;
	overflow: visible;
  }

  &.y-scroll-bar-active.y-scroll-x {
    .y-tablecell-header,
    .y-tablecell {
      &-sticky {
        opacity: 0 !important;
      }
    }
  }
  &.y-scroll-bar-active.y-scroll-y {
    .y-tableheader {
      opacity: 0 !important;
    }
  }
}

.y-scroll-table-container {
  height: $table-scroll-container-size;
  width: $table-scroll-container-size;
  position: fixed;
  z-index: 10000;
  overflow: hidden;
  display: none;

  .y-table.y-scroll-bar-active.y-scroll-x + &,
  .y-table.y-scroll-bar-active.y-scroll-y + & {
    display: block;
  }
  .y-table.y-scroll-bar-active.y-scroll-x + & {
    .y-tablecell-header,
    .y-tablecell {
      opacity: 0;

      &-sticky {
        opacity: 1;
      }
    }
  }
  .y-table.y-scroll-bar-active.y-scroll-y + & {
    .y-tablerows {
      display: none;
    }
    .y-table {
      margin-top: 0 !important;
    }
    .y-tableheader {
      top: 0 !important;
    }
  }
}